# Role : docker_wordpress


## Services fournis

Installation d'une instance wordpress sur un serveur docker_host

## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_wordpress_fqdn: monsite.libretic.fr
docker_wordpress_data_dir: /data1
docker_wordpress_service_id: monsite
docker_wordpress_image_version: 6.0.0-apache
docker_wordpress_db_name: wp
docker_wordpress_db_user: wp
docker_wordpress_db_password: mdp_bdd
```

| Option                         | Valeur par défaut | Description                                                                               |
|--------------------------------|-------------------|-------------------------------------------------------------------------------------------|
| docker_wordpress_fqdn          |                   | Nom de domaine, ou liste de noms de domaines, pour lequel le service wordpress répond     |
| docker_wordpress_data_dir      |                   | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service       |
| docker_wordpress_service_id    |                   | Le nom de service souhaité : conditionne le nommage des volumes et le routage par traefik |
| docker_wordpress_image_version |                   | Version de wordpress et de l'image docker                                                 |
| docker_wordpress_db_name       |                   | Nom de la base de données                                                                 |
| docker_wordpress_db_user       |                   | Nom du user proprietaire de la base de donnees                                            |
| docker_wordpress_db_password   |                   | Mot de passe du user proprietaire de la base de donnees                                   |



## Poursuite de l'installation dans wordpress

Après le premier lancement :
- créer le compte administrateur interne de wordpress depuis la page d'administration

